%bcond_with tests
%global pypi_name iniconfig

Summary:            Brain-dead simple parsing of ini files
Name:               python-iniconfig
Version:            2.0.0
Release:            1%{?dist}
License:            MIT
URL:                http://github.com/RonnyPfannschmidt/iniconfig
Source0:            %{pypi_source}
BuildArch:          noarch
BuildRequires:      python3-pip python3-wheel python3-hatchling python3-hatch-vcs
BuildRequires:	    python3-devel python3-setuptools python3-setuptools_scm python3-tox

%description 
iniconfig is a small and simple INI-file parser module
having a unique set of features:

* tested against Python2.4 across to Python3.2, Jython, PyPy
* maintains order of sections and entries
* supports multi-line values with or without line-continuations
* supports "#" comments everywhere
* raises errors with proper line-numbers
* no bells and whistles like automatic substitutions
* iniconfig raises an Error if two sections have the same name.


%package -n python3-iniconfig
Summary:            Brain-dead simple parsing of ini files

%description -n python3-iniconfig 
iniconfig is a small and simple INI-file parser module


%prep
%autosetup -n iniconfig-%{version}



%build
%pyproject_wheel

%install
%pyproject_install iniconfig==%{version}

%if %{with tests}
%check
%tox
%endif

%files -n python3-iniconfig
%license LICENSE
%{python3_sitelib}/*

%changelog
* Fri Sep 22 2023 Upgrade Robot <upbot@opencloudos.org> - 2.0.0-1
- Upgrade to version 2.0.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.1.1-1
- package init.

